<div class="container">
<form #userform="ngForm" (ngSubmit)="userform.valid && register(userform)">
  <h1>Create User</h1>
  <div class="container">
  <div class="row">
        <div class="form-group col-md-4">
        <input type="text" placeholder="Enter your name" class="form-control" [(ngModel)]="user.name" #name="ngModel" name="username" required>
        <div class="validation-error" *ngIf="name.invalid && name.touched">*This field is mandatory</div>
        </div>
        <div class="form-group col-md-4">
        <input type="text" placeholder="Enter your address" [(ngModel)]="user.address" class="form-control" name="useraddress" required>
        </div>
  </div>
  
  <div class="row">
        <div class="form-group col-md-4">
        <input type="text" placeholder="Enter your mail" class="form-control" [(ngModel)]="user.mail" name="usermail" required>
        </div>
        <div class="form-group col-md-4">
        <input type="text" placeholder="Enter your password" class="form-control" [(ngModel)]="user.password" name="userpassword" required>
        </div>
      </div>
  <div class="row"> 
         <div class="form-group col-md-4">
         <input type="text" placeholder="Re Enter your password" class="form-control" [(ngModel)]="user.repassword" name="userrepassword" required>
         </div>
         <div class="form-group col-md-4">
    <select [(ngModel)]="user.vendortype" class="form-control vendorType"  name="currentuser"  (change) = "selectusertype($event)"  >
      <option [value]="user.vendortype" disabled>--Select UserType--</option>
      <option  *ngFor="let usrr of userList" [ngValue]="usrr" >{{usrr.name}}</option>
    </select>
          </div>
  </div>
  <div class="row">
    <div class=" col-md-4">
      <button type="submit" class="btn btn-block btn-success"><i class="fa fa-floppy-o"></i>  Submit</button>
    </div>
    <div class=" col-md-4">
      <button type="button" class="btn btn-block btn-info back" (click)="onBack()"><i class="fa fa-arrow-left"></i>  Back</button>
    </div>
  </div>
  </div>
</form>
</div>